### Method

# Ide LspCodeActionProvider get_client

#### Declaration

    IdeLspClient*
    ide_lsp_code_action_provider_get_client (
      IdeLspCodeActionProvider* self
    )

#### Description

Gets the client to use for the code action query.

Gets property | `Ide.LspCodeActionProvider:client`

#### Return value

Returns: | `IdeLspClient`
| An `IdeLspClient` or `NULL`.
| The data is owned by the instance.